Issue 7722 - Cells Columns that are larger than screen jump when scrolling
Summary: Cells Columns that are larger than screen jump when scrolling
Status: ACCEPTED
Alias: None
Product: Calc
Classification: Application
Component: ui (show other issues)
Version: OOo 1.0.0
Hardware: All All
: P4 Trivial with 55 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: rfe_eval_ok
: 39731 43413 (view as issue list)
Depends on:
Blocks:
 
Reported: 2002-09-14 06:43 UTC by lars
Modified: 2019-03-06 16:36 UTC (History)
13 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description lars 2002-09-14 06:43:42 UTC
column A broader than current screen resolution;

when scrolling horizontically, column A jumps to column B;

data in cell in column A which was out of displayed part of cell can't be 
reached visually.


Scrolling should always occur smoothly!
Comment 1 prgmgr 2002-09-14 23:42:27 UTC
Lars, thanks for taking the time to post this issue.

Thank you for using and supporting OOo.


I'm going to label this as an enhancement request.
Comment 2 lars 2002-09-16 16:19:31 UTC
the jump is due to the current priniple of "display" of the sheet;

and I like it.

so if possible only scroll smoothly when a column is larger than the 
displayable area
Comment 3 frank 2002-11-28 12:11:19 UTC
Hi Falko,

1 4 u

For now we can show such columns in it's entirety by changing the zoom
factor or just changing the column width by using the context menu on
the column header.

Frank
Comment 4 falko.tesch 2003-10-13 11:23:48 UTC
In case columns are wider than the current screen Calc should scroll
smoothly (horizontal) instead of "jumping" to the next column.
This enables the user to read-out the current (wider-than-screnn)
column's content. 
Comment 5 falko.tesch 2003-10-13 11:24:58 UTC
.
Comment 6 frank 2005-01-17 09:51:54 UTC
*** Issue 39731 has been marked as a duplicate of this issue. ***
Comment 7 bluedwarf 2005-01-17 10:34:28 UTC
To satisfy both requests, in my opinion, smoothly scroll function should be
implemented and Calc should have UI to swtich scroll option easily, "smoothly"
or "jumping".

>For now we can show such columns in it's entirety by changing the zoom
> factor or just changing the column width by using the context menu on
> the column header.

We may not, however, see small characters zoomed out forcibly and want to change
column width all of the time when we encounter such columns.
Comment 8 frank 2005-02-24 10:07:14 UTC
*** Issue 43413 has been marked as a duplicate of this issue. ***
Comment 9 kekc 2008-03-03 13:48:33 UTC
I really hope that anyone implement it in ongoing release.
I can't actually work with some documents.

Thanks in advance!
Comment 10 kekc 2008-03-03 13:50:32 UTC
I really hope that anyone implement it in ongoing release.
I can't actually work with some documents.

Thanks in advance!
Comment 11 mlugli 2008-05-27 17:06:59 UTC
When will be implemeted the smooth scroll of the columns? There is nothing to
invent it enough copy what already does Excell.
It since 2002 this issue is opened.
Comment 12 planetidiot 2009-04-02 21:43:55 UTC
This is driving me insane.  I downloaded Open Office in hopes that it had a more 
intelligent interface than Excel, but the same awful "feature" of scrolling a 
row at a time was copied straight from Excel with no option to scroll normally.

I don't care if the row is bigger than the screen or normal sized.  I lose track 
of what I'm looking at when I scroll and everything jumps around erratically.  
Does this really take 7 years to fix?
Comment 13 tholt 2009-04-28 12:48:20 UTC
Issue can be bypassed by highlighting some letters or words and afterwards only 
starting to drag and drop without really moving them. Then it is possible to 
scroll each textrow and to normally modify and saving the text in the specific 
cell/row.
Comment 14 mmarkk 2009-06-30 08:27:54 UTC
I think The new option in preferences should be (combobox):
scroll by: [pixels|cells|auto]

* by pixels - scrolling as all non-table-oriented programs
* by cells - as now
* auto - scroll by pixels only for large cells (> 1/2 of window with for
horizontal scrolling, > 1/2 of window height for vertical scrolling)
Comment 15 pfadwaechter 2009-07-28 16:35:58 UTC
why is this issue only marked as enhancement with a priority of 4?
this "bug" renders viewing and editing some spreadsheets completely impossible! 
that is why this issue should be considered to be something much more serious. 
especially taken into account that it has been reported 7 years ago!

the issue is reproducible on windows xp sp2/sp3 with ooo310m11 and dev300m52.

(and now i will go back to work ... on a writer spreadsheet in a writer 
document with dimensions of 39x300 cm ...)
Comment 16 tontonmanu 2009-08-19 00:14:49 UTC
I completely agree with you pfadwaechter. Could anybody from the dev.team give
us news about the treatment of this issue?
Comment 17 legendinis 2009-12-19 16:55:58 UTC
Hello,
I'm using my netbook PC (Asus Eee 901) with screen resolution 1024x600. There is
no need to have very height rows to face this problem.
Thank you.
Comment 18 legendinis 2009-12-19 16:57:27 UTC
Hello,
I'm using my netbook PC (Asus Eee 901) with screen resolution 1024x600. There is
no need to have very height rows to face this problem.
Thank you.
Comment 19 bettina.haberer 2010-05-21 14:51:11 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 20 rabid_renaissance 2010-10-24 08:02:11 UTC
This is currently causing me nothing but headaches, as I'm trying to use OOo
Calc to track web app bugs and add screenshots from testing, this can make my
rows quite large and trying to resize my screenshots is pretty much impossible.
 Please provide a smooth scrolling option.
Comment 21 raimund.szabo 2011-06-02 10:49:22 UTC
Even difficult to follow the normal documents with different column and row sizes because the jump scroll. Can you implement the smooth scroll option please? Thank you.
Comment 22 Thilo Ratnaweera 2013-09-12 15:44:16 UTC
Thumbs up for accepting this issue! :-)
Comment 23 david 2017-08-23 23:47:05 UTC
Accepted? - Great! - so this will be fixed in the next update?
Comment 24 tbreportbug 2019-03-06 16:36:20 UTC
So when will this be fixed?!